COSH(3)

NAME
cosh, coshf, coshl - hyperbolic cosine functions

SYNOPSIS
#include <math.h>
double
cosh(double x);
float
coshf(float x);
long double
coshl(long double x);

DESCRIPTION
The cosh() function computes the hyperbolic cosine of x. The coshf() function is a single precision version of cosh(). The coshl() function is an extended precision version of cosh().

RETURN VALUES
If the magnitude of x is too large, cosh(x), coshf(x) and coshl(x) return Inf and set the global variable errno to ERANGE.

SEE ALSO
acos(3), asin(3), atan(3), atan2(3), cos(3), sin(3), sinh(3), tan(3), tanh(3)